## NAME

d.rgb - Displays three user-specified raster map layers as red, green, and blue overlays in the active graphics frame.
(GRASS Display Program)

## SYNOPSIS

d.rgb
d.rgb help
d.rgb [-o] red=name green=name blue=name

## DESCRIPTION

RGB stands for red, green, and blue. This program visually combines three raster map layers to form a color image. For each layer, the corresponding component from the layer's color table is used (e.g. for the red layer, the red component is used, and so on). In general, the layers should use a grey-scale color table.

## OPTIONS

### Flags:

-o
  Overlay the resulting raster map layer onto whatever is already displayed in the active graphics frame. Any no-data areas in any of the named raster maps will seem transparent, and reveal the underlying image previously displayed in the graphics frame. If the -o flag is set, only cells containing non-null values will be displayed from the overlaid raster map. All other areas (i.e., the portions of the overlaid map that contain null values) will leave the underlying display untouched.

### Parameters:

red=name
  Name of raster map layer to be used for RED component.
green=name
  Name of raster map layer to be used for GREEN component.
blue=name
  Name of raster map layer to be used for BLUE component.

## NOTES

This is a new version of d.rgb, which uses sends the data to the graphics monitor in true-color RGB format. Unlike the previous version, it does not attempt to quantize the combined image into a fixed number of colors. Nor does it have an option to generate a composite layer. The image and raster map layers will not display properly if the graphics device does not have a reasonable sampling of the RGB color-space.

If color quality of satellite image color composites seems to appear poor, consider to run r.colors (greq.eq color table) on the selected satellite channels.

To write out the color composite to a R/G/B raster maps, use r.composite (three maps) or i.composite (single composite map).

## SEE ALSO

blend.sh
d.colormode
d.colors
d.colortable
d.his
hsv.rgb.sh
r.mapcalc
rgb.hsv.sh
i.composite
r.colors
r.composite

## AUTHOR

Glynn Clements

Last changed: $Date: 2002/04/12 01:44:09 $